If an ID is passed, the existing employee will be updated, otherwise a new employee will be created.

NOTE: the MatchType parameter currently has no effect

An employee may be created with a status of 'Incomplete' by specifying at least the minimum fields; firstName, surname, startDate, employmentType, address details, gender, legalStatus, nationality, coveredByEmploymentAct. For an employee record to be considered 'Complete' the following groups of data are required:

  • Basic Details (Name, Start Date, Date of Birth, Gender and Address Details)
  • Pay Run Defaults (Default Pay Category, Pay Cycle and Location)
  • Locations (at least one)
  • Bank Account/s (at least one)
  • If reporting dimensions are enabled for the business, add primary reporting dimension values using "|" as a separator between values.

    Request

    POST http:///api/v2/business/{businessId}/employee/unstructured

    Path parameters

    Parameter name Value Description Additional
    businessId string Required

    Query parameters

    Parameter name Value Description Additional
    model
    matchType string

    Possible values are:

    • None
    • Standard

    Response

    The following HTTP status codes may be returned, optionally with a response resource.

    Status code Description Resource
    200 OK

    OK

    MyUnstructuredEmployeeModel
    201 Created

    Created

    MyUnstructuredEmployeeModel
    400 Bad Request

    Bad Request

    ProblemDetails